﻿using System;
using System.Linq;
using System.ServiceModel;
using System.ServiceModel.Activation;
using Telerik.Windows.Documents.Flow.FormatProviders.Pdf;
using Telerik.Windows.Documents.Flow.Model;
using Telerik.Windows.Documents.Flow.Model.Editing;
using Telerik.Windows.Documents.Spreadsheet.Model;

namespace WordsProcessingRegisterFontsFromServiceDemo.Web
{
    [ServiceContract(Namespace = "")]
    [AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
    public class WordsProcessingPdfService
    {
        [OperationContract]
        public byte[] GetPdfWithGillSansMT()
        {
            RadFlowDocument document = this.CreateSampleDocumentWithGillSansMT();

            byte[] fileBytes = new PdfFormatProvider().Export(document);

            return fileBytes;
        }

        private RadFlowDocument CreateSampleDocumentWithGillSansMT()
        {
            RadFlowDocument document = new RadFlowDocument();
            RadFlowDocumentEditor editor = new RadFlowDocumentEditor(document);
            editor.InsertLine("This text uses default font family.");
            editor.InsertInline(new Run(document) 
            {
                Text = "This text uses Gill Sans MT font family.",
                FontFamily = new ThemableFontFamily("Gill Sans MT") 
            });

            return document;
        }
    }
}
