﻿using System;
using System.IO;
using System.Windows;
using System.Windows.Controls;
using WordsProcessingRegisterFontsFromServiceDemo.WordsProcessingPdfServiceReference;

namespace WordsProcessingRegisterFontsFromServiceDemo
{
    public partial class MainPage : UserControl
    {
        private readonly WordsProcessingPdfServiceClient serviceClient;
        private byte[] fileBytes = null;

        public MainPage()
        {
            InitializeComponent();

            this.serviceClient = new WordsProcessingPdfServiceClient();
            this.serviceClient.GetPdfWithGillSansMTCompleted += ServiceClientGetPdfWithGillSansMTCompleted;
            this.serviceClient.GetPdfWithGillSansMTAsync();
        }

        private void ServiceClientGetPdfWithGillSansMTCompleted(object sender, GetPdfWithGillSansMTCompletedEventArgs e)
        {
            this.fileBytes = e.Result;
        }

        private void Button_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            if (fileBytes == null)
            {
                MessageBox.Show("Could not get export file!");
            }
            else
            {
                SaveFileDialog dialog = new SaveFileDialog();
                dialog.Filter = "PDF files (*.pdf)|*.pdf";

                if (dialog.ShowDialog() == true)
                {
                    using (Stream stream = dialog.OpenFile())
                    {
                        stream.Write(fileBytes, 0, fileBytes.Length);
                    }
                }
            }
        }
    }
}
